### Method

# Ide EditorSearch begin_interactive

#### Declaration

    void
    ide_editor_search_begin_interactive (
      IdeEditorSearch* self
    )

#### Description

This function is used to track when the user begin doing an interactive search, which is one where they are typing the search query.

Tracking this behavior is useful because it allows the editor to “rubberband”, which is to say it can scan forward to the first search result automatically, and then snap back to the previous location if the search is aborted.

Available since: | 3.32